Status: Open
Assignee:

Category: Unknown

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 18464

Description

Layer relations created in Layers/Properties/Fields/Relations could be saved in a layers .qml style file.

(Unsure what category to file this feature under. Is StyleV2 the same as a style .qml file?)

History

#1 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2018-05-29 10:38 AM - Matthias Kuhn

- Description updated

This is an interesting topic but raises a number of questions

    -  how should the other involved layer be identified (by its name, by its id, by the datasource and loaded automatically from the database, ...)

    -  what happens if the other layer is not (yet) loaded, should we check every new layer which is added subsequently if it is the other involved layer?
